petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecResetArray

Resets a vector to use its default memory. Call this after the use of VecPlaceArray().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecResetArray(Vec vec)

Not Collective Many br

### Input Parameters

vec -the vector Many br

Many br

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecPlaceArray()

Level:developer
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex13f90.F.html
src/ksp/ksp/examples/tutorials/ex61f.F90.html